Bug 15117 - There is no translation of confirm dialog when transfering a basket
Summary: There is no translation of confirm dialog when transfering a basket
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-03 21:21 UTC by Genevieve Plantin
Modified: 2017-06-14 22:11 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15117: Transfer Order: Better user information and translation handling (4.06 KB, patch)
2015-11-04 09:37 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15117: Transfer Order: Better user information and translation handling (4.16 KB, patch)
2015-11-06 06:45 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15117: Transfer Order: Better user information and translation handling (4.23 KB, patch)
2015-11-06 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Genevieve Plantin 2015-11-03 21:21:16 UTC
The popup confirm dialog that shows "Do you want to transfer order [% ordernumber %] from       basket [% basketfromname %] ([% booksellerfromname %]) to basket [% basket.basketname %] ([% booksellertoname %]) ?" in the transferorder.tt file is not translated.
Comment 1 Marc Véron 2015-11-04 09:37:49 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-11-06 06:45:01 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-11-06 11:13:12 UTC
Created attachment 44547 [details] [review]
Bug 15117: Transfer Order: Better user information and translation handling

While transferring an order, a untranslatable JavaScript confirmation
dialog pops up.

This patch moves the information about the order to be transferred to the
top of the screen to better inform the user what order is to be transferred,
and simplifies the confirmation dialog.

To test:
- Apply patch
- Transfer an order from a basket to another basket
- Verify, that on top of the screen an information is displayed about which
  order from which vendor and basket is to be transferred
- Verify that the transfer works OK
- Update a po lang file and confirm you see the string and you are able
  to translate it.

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  Dialog box with readable & translatable info.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2015-11-06 11:14:28 UTC
Marc, why did not you keep the original wording?
Comment 5 Marc Véron 2015-11-06 11:18:54 UTC
(In reply to Jonathan Druart from comment #4)
> Marc, why did not you keep the original wording?

For the JS confirmation? - Because the information about "from where / where to" now is displayed on the screen. But I'm not against it if you restore it in a follow up.
Comment 6 Jonathan Druart 2015-11-06 11:27:10 UTC
I am sure we could improve it, even if the info are on the page "Transfer order to this basket" sounds a bit rude :)
Comment 7 Tomás Cohen Arazi 2015-11-06 15:12:54 UTC
Patch pushed to master.

Thanks Marc!
Comment 8 Frédéric Demians 2015-11-29 20:25:31 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 9 Liz Rea 2016-01-06 21:18:53 UTC
Pushed to 3.18.13, and released.